- Reference
- OCPI 2.1.1 (eMSP)
- List supported OCPI versions (eMSP mount)
OpenAPI reference
List supported OCPI versions (eMSP mount)
GET
/versionsGET /versions
API: OCPI 2.1.1 (eMSP) · Module: Versions
Base path:/versions· Base URL:https://ocpi-api.gridos.co/ocpi/emsp/2.1.1
Overview
GET /versionsAbsolute URL: https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/versions
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/versions' \
-H "Authorization: Token $OCPI_TOKEN"Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | VersionsResponse |
401 | Unauthorized | — |
200 — successful response
application/json
Schema: VersionsResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | Version[] | No | Data. Default: [] |
Response example
{
"data": [
{
"url": "https://www.example.com/ocpi/cpo/2.1.1",
"version": "2.1.1"
}
],
"status_code": 1000,
"status_message": "Success",
"timestamp": "2015-06-29T22:39:09Z"
}401 — unauthorized
application/json
Response example
{
"status_code": 2000,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/versions' \
-H "Authorization: Token $OCPI_TOKEN"